%if 0%{?fedora} > 12
%global with_python3 1
%endif

Name:           python-pyzolib
Version:        0.2.9
Release:        2%{?dist}
Summary:        Utilities for the Pyzo environment

Group:          Development/Libraries
License:        BSD
URL:            http://www.pyzo.org
Source0:        https://pypi.python.org/packages/source/p/pyzolib/pyzolib-%{version}.tar.gz
Patch0:         pyzolib-0.2.9-version-fix.patch

BuildArch:      noarch

BuildRequires:  python2-devel
%if 0%{?with_python3}
BuildRequires:  python3-devel
%endif # if with_python3

%description
This package implements several small sub-modules and sub-packages that expose
common functionality in a range of packages and applications in the Pyzo
framework. 

%if 0%{?with_python3}
%package -n python3-pyzolib
Summary:        Utilities for the Pyzo environment

%description -n python3-pyzolib
This package implements several small sub-modules and sub-packages that expose
common functionality in a range of packages and applications in the Pyzo
framework. 
%endif # with_python3

%prep
%setup -qn pyzolib-%{version}
%patch0 -p1

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%files
%doc
%{python2_sitelib}/pyzolib
%{python2_sitelib}/pyzolib-%{version}-py?.?.egg-info

%files -n python3-pyzolib
%doc
%{python3_sitelib}/pyzolib
%{python3_sitelib}/pyzolib-%{version}-py?.?.egg-info

%changelog
* Mon Apr 21 2014 Scott K Logan <logans@cottsay.net> - 0.2.9-2
- Add temporary workaround version detection

* Fri Apr 04 2014 Scott K Logan <logans@cottsay.net> - 0.2.9-1
- Update to 0.2.9

* Wed Feb 12 2014 Scott K Logan <logans@cottsay.net> - 0.2.8-1
- Initial package
